Publication
Mettre à jour l'URL du projet
Modifiez le chemin d’un projet, changez de sous-domaine ou pointez-le vers un domaine personnalisé.
PUT
/
projects
/
{slug}
/
url
Update the project URL
curl --request PUT \
--url https://faces.app/api/v1/projects/{slug}/url \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"path": "<string>",
"userSubdomainId": "<string>",
"userDomainId": "<string>"
}
'import requests
url = "https://faces.app/api/v1/projects/{slug}/url"
payload = {
"path": "<string>",
"userSubdomainId": "<string>",
"userDomainId": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({path: '<string>', userSubdomainId: '<string>', userDomainId: '<string>'})
};
fetch('https://faces.app/api/v1/projects/{slug}/url', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"current": {
"hostname": "<string>",
"path": "<string>",
"subdomainId": "<string>",
"domainId": "<string>",
"projectSubdomainId": "<string>",
"projectDomainId": "<string>"
}
}{
"error": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"hint": "<string>"
}{
"error": "<string>",
"hint": "<string>"
}Autorisations
API key with "faces_" prefix. Create one at Settings > Developers.
Paramètres de chemin
Corps
application/json
⌘I
Update the project URL
